# libtraceevent(3) Manual Page

## NAME

tep_read_number_field - Reads a number from raw data.

## SYNOPSIS

    #include <event-parse.h>

    int tep_read_number_field(struct tep_format_field *field, const void *data, unsigned long long *value);

## DESCRIPTION

The tep_read_number_field() function reads the value of the field from the raw data and stores it in the value. The function sets the value according to the endianness of the raw data and the current machine and stores it in value.

## RETURN VALUE

The tep_read_number_field() function retunrs 0 in case of success, or -1 in case of an error.

## EXAMPLE

## FILES

    event-parse.h
            Header file to include in order to have access to the library APIs.
    -ltraceevent
            Linker switch to add when building a program that uses the library.

## SEE ALSO

libtraceevent(3), trace-cmd(1)

## AUTHOR

    Steven Rostedt <rostedt@goodmis.org>, author of libtraceevent.
    Tzvetomir Stoyanov <tz.stoyanov@gmail.com>, author of this man page.

## REPORTING BUGS

Report bugs to <linux-trace-devel@vger.kernel.org>

## LICENSE

libtraceevent is Free Software licensed under the GNU LGPL 2.1

## RESOURCES

https://git.kernel.org/pub/scm/libs/libtrace/libtraceevent.git/